Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class RowOperationParameters

    java.lang.Object
      org.eclipse.birt.report.model.api.RowOperationParameters

    public class RowOperationParameters

extends java.lang.Object

Prepares parameters for row operation , including copy , paste , insert and shift operation.

Constructor Summary
`RowOperationParameters()` Default Constructor
`RowOperationParameters(int slotId, int groupId, int destIndex)` Constructor

Method Summary
`int` | `getDestIndex()` Returns target index.
`int` | `getGroupId()` Returns group id
`int` | `getSlotId()` Returns slot id.
`int` | `getSourceIndex()` Returns source index.
`void` | `setDestIndex(int destIndex)` Sets target index
`void` | `setGroupId(int groupId)` Sets group id
`void` | `setSlotId(int slotId)` Sets slot id.
`void` | `setSourceIndex(int sourceIndex)` Sets source index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowOperationParameters

    public RowOperationParameters()

  Default Constructor

### RowOperationParameters

    public RowOperationParameters(int slotId,
                                  int groupId,
                                  int destIndex)

  Constructor

  Parameters:
    `slotId` - slot id
    `groupId` - group id
    `destIndex` - destination index

Method Detail

### getDestIndex

    public int getDestIndex()

  Returns target index.

  Returns:
    index.

### setDestIndex

    public void setDestIndex(int destIndex)

  Sets target index

  Parameters:
    `destIndex` - target index

### getGroupId

    public int getGroupId()

  Returns group id

  Returns:
    group id.

### setGroupId

    public void setGroupId(int groupId)

  Sets group id

  Parameters:
    `groupId` - groupd id

### getSlotId

    public int getSlotId()

  Returns slot id.

  Returns:
    slot id.

### setSlotId

    public void setSlotId(int slotId)

  Sets slot id.

  Parameters:
    `slotId` - slot id.

### getSourceIndex

    public int getSourceIndex()

  Returns source index.

  Returns:
    source index.

### setSourceIndex

    public void setSourceIndex(int sourceIndex)

  Sets source index.

  Parameters:
    `sourceIndex` - source index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.